#!/bin/sh
# inherits LOG_FILE PROGRESS_FILE END_FILE ERR_FILE

local ERR="1"
local TMP="/tmp/upload_fw"

do_upgrade() {

cd /

echo "Mount read-write..."
mount -oremount -w / || return 1

echo "Unpack customization ..."
tar xzf $TMP/patch.tgz || return 1

#cd /var/boa/lang || return 1
#rm $(ls -1|sed 's/^english$//g')

cd /
sync || return 1
mount -oremount -r / || return 1

echo "Install finished successfully."
ERR=0
}

if [ -z "$LOG_FILE" ]; then
    LOG_FILE=/tmp/log
fi

do_upgrade >> $LOG_FILE 2>&1
if [ "$ERR" != "0" ]; then
    echo "Install failed!" >> $LOG_FILE
fi

if [ -n "$END_FILE" ]; then
    echo -n > $END_FILE
fi
